File: custom.css

package info (click to toggle)
tiled-qt 1.11.90-1
  • links: PTS
  • area: main
  • in suites: sid, trixie
  • size: 40,304 kB
  • sloc: cpp: 125,078; java: 4,174; python: 1,634; xml: 1,524; sh: 427; makefile: 67; ruby: 15
file content (143 lines) | stat: -rw-r--r-- 3,064 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
.figure img {
    padding: 4px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin: 0px auto 5px auto;
}

.no-bottom-margin {
    margin-bottom: 0 !important;
}

.future .topic-title {
    border-bottom: 2px solid rgb(255, 148, 90);
    padding-bottom: 4px;
    color: rgb(254, 89, 0);

    /* make it a header */
    font-size: 150%;
    margin-top: 0;
    font-weight: 700;
    font-family: "Roboto Slab","ff-tisa-web-pro","Georgia",Arial,sans-serif;
}
.future a {
    color: rgb(254, 89, 0);
}

.new {
    font-weight: bold;
    font-size: 80%;
    background-color: rgb(254, 89, 0);
    border: 1px solid rgb(254, 89, 0);
    color: white;
    display: block;
    border-radius: 4px;
    float: right;
    padding: 3px;
    margin: 4px 0px 10px 10px;
}

.new-prev {
    background-color: unset;
    color: gray;
    border-color: gray;
}

/* we use badges to mark changes */
.sd-badge {
    float: right;
    margin: 0px 0px 10px 10px;
}
:root {
    --sd-color-primary: rgb(254, 89, 0);
    --sd-color-secondary: gray;
}

/* inline icons for special Automapping tiles */
.tile {
    font-weight: bold;
}
.tile::after {
    content: '';
    display: inline-block;
    width: 1.4em;
    height: 1.4em;
    background-image: url('images/automap-tiles.svg');
    background-size: cover;
    background-repeat: no-repeat;
    margin: -0.2em 0em -0.2em 0.2em;
}
.tile.negate::after {
    background-position: 0%;
}
.tile.ignore::after {
    background-position: 25%;
}
.tile.nonempty::after {
    background-position: 50%;
}
.tile.empty::after {
    background-position: 75%;
}
.tile.other::after {
    background-position: 100%;
}

/* override table no-wrap */
.wy-table-responsive table td {
    white-space: normal;
}

/* override table middle align */
.rst-content table.docutils td {
    vertical-align: top;
}

/* override too much space between line blocks */
.rst-content .line-block {
    margin-bottom: 0.5em;
}

.wy-side-nav-search {
    margin: 0px;        /* override unfitting bottom margin */
    width: auto;        /* override fixed 300px width */
    text-align: left;   /* override center alignment */
}

.wy-nav-top {
    display: block;     /* override hiding on wide views */
    padding: 0px;       /* override unwanted padding */
    line-height: normal;/* override 50px */
    max-width: 800px;   /* matches content max width */
}

.wy-nav-top i {
    float: none;        /* override left float */
    vertical-align: middle;
    padding-top: 0px;   /* override inheriting padding */
    visibility: hidden;
}

@media screen and (max-width: 768px) {
    .wy-nav-top i {
        visibility: visible;
    }
}

.wy-side-nav-search input[type=text] {
    vertical-align: middle !important; /* override top alignment */
}

.wy-side-nav-search > a {
    margin-left: 5px;
    margin-bottom: 0px; /* override unwanted margin */
}

/* more generic rule (theme only applies to div.version) */
.wy-side-nav-search > .version {
    color: rgba(255,255,255,0.3);
}
.wy-side-nav-search > div {
    float: right;
}